import request from '@/utils/request'

// 查询税务人员列表
export function listTaxAdminApi(query) {
  return request({
    url: '/admin/gov/list',
    method: 'get',
    params: query
  })
}
//新增税务人员
export function addTaxUserApi(data) {
  return request({
    url: `/admin/gov`,
    method: 'post',
    data: data
  })
}
//删除税务人员
export function deleteTaxApi(ids) {
  return request({
    url: `/admin/gov/${ids}`,
    method: 'delete'
  })
}
//根据id查询税务人员
export function getTaxInfoByIdApi(id, query) {
  return request({
    url: `/admin/gov/${id}`,
    method: 'get',
    params: query
  })
}
//修改税务信息
export function updateTaxInfoApi(data) {
  return request({
    url: `/admin/gov`,
    method: 'put',
    data: data
  })
}
